\appendix

\iflanguage{english}
{\addchap{Appendix}}	% english style
{\addchap{Anhang}}	% german style


\section{Full Examination of the Sieve of Eratosthenes}
\label{ap:sieve}

\begin{figure}[ht]
\centering
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-1.pdf}}
\hfill
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-2.pdf}}
\hfill
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-3.pdf}}
\end{figure}

\begin{figure}[ht]
\centering
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-4.pdf}}
\hfill
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-5.pdf}}
\end{figure}

\begin{figure}[ht]
\centering
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-6.pdf}}
\hfill
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-7.pdf}}
\end{figure}

\begin{figure}[ht]
\centering
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-8.pdf}}
\hfill
\raisebox{-\height}{\includegraphics[scale=.4]{images/sieve-9.pdf}}
\end{figure}

\clearpage
\section{Full Example of combining ghc-vis with GHCi's Debugger}
\label{ap:debugger}

We are going to use a file called \emph{test.hs} with the following content in
this example:

\begin{code}
f         ::  [Integer] -> [Integer]
f (x:xs)  =   (2 * x) : f xs
f []      =   []
\end{code}

\begin{Verbatim}
ghci> :l test.hs
ghci> :vis
ghci> let x = [1..3]
ghci> let y = f x
ghci> let z = sum y
ghci> :view x
ghci> :view y
ghci> :view z
\end{Verbatim}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l1.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/g1.pdf}}
\end{minipage}

\begin{Verbatim}
ghci> :su z
\end{Verbatim}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l2.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/g2.pdf}}
\end{minipage}

\begin{Verbatim}
ghci> :su
\end{Verbatim}

From here on only \emph{:su} is called so it will be omitted.

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l3.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g3.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l4.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g4.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l5.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g5.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l6.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g6.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l7.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g7.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l8.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g8.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l9.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g9.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l10.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g10.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l11.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g11.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l12.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[width=\textwidth]{images/g12.pdf}}
\end{minipage}

\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/l13.pdf}}
\end{minipage}
\begin{minipage}{.49\textwidth}
  \centering
  \raisebox{-\height}{\includegraphics[scale=.4]{images/g13.pdf}}
\end{minipage}
